## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate bindgen-cli

Name:           rust-bindgen-cli
Version:        0.68.1
Release:        %autorelease
Summary:        Automatically generates Rust FFI bindings to C and C++ libraries

License:        BSD-3-Clause
URL:            https://crates.io/crates/bindgen-cli
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * default to linking with libclang instead of using dlopen
Patch:          bindgen-cli-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Automatically generates Rust FFI bindings to C and C++ libraries.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-3-Clause
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        BSD-3-Clause AND Apache-2.0 AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

# /usr/bin/bindgen was moved from bindgen to bindgen-cli with v0.61
Provides:       bindgen = %{version}-%{release}
Obsoletes:      bindgen < 0.61

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/bindgen

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Sep 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.68.1-1
- Update to version 0.68.1; Fixes RHBZ#2168598

* Mon Jan 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.63.0-4
- Ensure bindgen-cli is always linked to libclang

* Tue Dec 13 2022 Fabio Valentini <decathorpe@gmail.com> - 0.63.0-3
- Ensure binary is linked with libclang instead of using dlopen

* Mon Nov 28 2022 Fabio Valentini <decathorpe@gmail.com> - 0.63.0-2
- Maintain compatibility with rust-packaging v21 on EPEL 9

* Fri Nov 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.63.0-1
- Update to version 0.63.0

* Fri Nov 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.62.0-1
- Initial import (#2143685)
